package com.jy.business.payment.model.table;

import com.jy.business.payment.model.entity.PaymentRequestsDetail;
import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;

public class PaymentRequestsDetailTable extends Table<PaymentRequestsDetail> {

    public static PaymentRequestsDetailTable payment_requests_detail = new PaymentRequestsDetailTable();
    public static PaymentRequestsDetailTable prd = payment_requests_detail.as("prd");

    /**
     * 请款明细id
     */
    public QueryColumn id = this.field(PaymentRequestsDetail::getId);

    /**
     * 请款id
     */
    public QueryColumn paymentRequestsId = this.field(PaymentRequestsDetail::getPaymentRequestsId);

    /**
     * 费用类型
     */
    public QueryColumn expenseType = this.field(PaymentRequestsDetail::getExpenseType);

    /**
     * 请款金额
     */
    public QueryColumn amount = this.field(PaymentRequestsDetail::getAmount);

    /**
     * 款项说明
     */
    public QueryColumn remark = this.field(PaymentRequestsDetail::getRemark);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(PaymentRequestsDetail::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(PaymentRequestsDetail::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(PaymentRequestsDetail::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(PaymentRequestsDetail::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(PaymentRequestsDetail::getDelFlag);

    private PaymentRequestsDetailTable() {
        super(PaymentRequestsDetail.class);
    }

    private PaymentRequestsDetailTable(String alias) {
        super(PaymentRequestsDetail.class, alias);
    }

    public PaymentRequestsDetailTable as(String alias) {
        return new PaymentRequestsDetailTable(alias);
    }

}
